*,
*:before,
*:after {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    height: 100vh;
    background: linear-gradient(135deg, 
    #8052ec, 
    #d161ff
    );
}

.container {
    
    width: 80%;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    padding: 30px 40px;
}

#newtask {
    background-color: #ffffff;
    padding: 30px 20px;
    border-radius: 5px;
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.3);
    

}

#newtask input {
    width: 70%;
    height: 45px;
    padding: 12px;
    font-family: 'Poppins', sans-serif;
    font-size: 15px;
    color: #111111;
    font-weight: 500;
    position: relative;
    border: 2px solid #d1d3d4;
    border-radius: 5px;
    

}

#newtask button {
    float: right;
    position: relative;
    width: 20%;
    height: 45px;
    border-radius: 5px;
    font-family: 'Poppons', sans-serif;
    font-size: 14px;
    color: #111111;
    font-weight: 500;
    background-color: #d1d3d4;
    border: 2px solid #d1d3d4;
    padding: 12px 6px;
    cursor: pointer;
    font-weight: 500;
    background-color: #8052ec;
    color: #ffffff;
    cursor: pointer;


}

#newtask input:focus {
    outline: none;
    border-color: #8052ec;
}

#tasks {
    background-color: #ffffff;
    padding: 30px 20px;
    margin-top: 60px;
    border-radius: 10px;
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.3);
    width: 100%;
    position: relative;


}

.task {
    background-color: #ffffff;
    height: auto;
    padding: 5px 10px;
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 2px solid #d1d3d4;
    cursor: pointer;
    
}

.task span {
    font-family: 'Poppins', sans-serif;
    font-size: 15px;
    font-weight: 500;
}

.task button {
    background-color: #8052ec;
    color: #ffffff;
    height: 100%;
    width: 40px;
    border-radius: 5px;
    cursor: pointer;
    outline: none;
    border: none;
}

.completed {
    text-decoration: line-through;
}

@media screen and (min-width: 800px) {
    .container {
        width: 50%;
        
    }
}